Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7598 - rpm 3.0.4-0.1 dependancy checking broken.
Summary: rpm 3.0.4-0.1 dependancy checking broken.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-05 15:45 UTC by jbotha
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 17:41:15 UTC


Attachments (Terms of Use)

Description jbotha 1999-12-05 15:45:17 UTC
"rpm -i|-U" reports missing dependencies (files not found), even though
those files do exist.
Further, "rpm -qf" cannot find the owner package of these files.  "rpm --
rebuilddb" has no effect.

Comment 1 Jeff Johnson 1999-12-05 17:12:59 UTC
Try the latest rpm-3.0.4-0.4 in Raw Hide. If the problem persists, I'll need
at least the name of the package that has the problem in order to fix.

Comment 2 jbotha 1999-12-07 17:07:59 UTC
rpm-3.0.4-0.5 is in Raw Hide and it works, thanks.

But, as I suppose one might have to expect, it breaks gnorpm-0.9-10 and
kpackage-1.3.10 completely.

73

Comment 3 Jeff Johnson 1999-12-15 17:41:59 UTC
Neither gnorpm nor kpackage have been compiled against rpm-3.0.4 yet (soon).
Stick with rpm-3.0.3 if you need gnorpm/kpackage ...

73


Note You need to log in before you can comment on or make changes to this bug.